[project]
name = "hd-example"
version = "0.1"
description = "An example for pyproject"
maintainers = [{ name = "Holger Döring" }]
license = { text = "MIT License" }
requires-python = ">=3.11"
dependencies = [
  "requests",
]

[project.optional-dependencies]
dev = [
  "pip-tools",
  "ruff",
]

[project.urls]
 homepage = ""
repository = "https://github.com/hdigital/starter-python.git"


# specify build system to run pip-tools
# (application is not a package and no build is needed)
[build-system]
requires = ["hatchling"]
build-backend = "hatchling.build"
